ISSPACE(3)

NAME
isspace, isspace_l - whitespace single-byte character test

SYNOPSIS
#include <ctype.h>
int
isspace(int c);
int
isspace_l(int c, locale_t locale);

DESCRIPTION
The isspace() and isspace_l() functions test for whitespace characters.

In the C locale, the complete list of whitespace characters is:

‘ ’ Space character.
\f  Form feed.
\n  New-line.
\r  Carriage return.
\t  Horizontal tab.
\v  And vertical tab.

OpenBSD always uses the C locale for these functions, ignoring the global locale, the thread-specific locale, and the locale argument.

RETURN VALUES
These functions return zero if the character tests false or non-zero if the character tests true.

ENVIRONMENT
On systems supporting non-ASCII single-byte character encodings, these functions may return non-zero for additional characters, and the results of isspace() may depend on the LC_CTYPE locale(1).

SEE ALSO
isalnum(3), isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isupper(3), iswspace(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The isspace() function conforms to ansiC, and isspace_l() to p1003.1-2008.

HISTORY
The isspace() function first appeared in AT&T UNIX, and isspace_l() has been available since OpenBSD 6.2.

CAVEATS
The argument c must be EOF or representable as an unsigned char; otherwise, the result is undefined.